# Uses of Interface
javax.sound.midi.Receiver

Packages that use Receiver
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of Receiver in javax.sound.midi

Subinterfaces of Receiver in javax.sound.midi
Modifier and Type
Interface
Description
`interface`
`MidiDeviceReceiver`
`MidiDeviceReceiver` is a `Receiver` which represents a MIDI input connector of a `MidiDevice` (see `MidiDevice.getReceiver()`).
Methods in javax.sound.midi that return Receiver
Modifier and Type
Method
Description
`Receiver`
MidiDevice.`getReceiver()`
Obtains a MIDI IN receiver through which the MIDI device may receive MIDI data.
`static Receiver`
MidiSystem.`getReceiver()`
Obtains a MIDI receiver from an external MIDI port or other default device.
`Receiver`
Transmitter.`getReceiver()`
Obtains the current receiver to which this transmitter will deliver MIDI messages.
Methods in javax.sound.midi that return types with arguments of type Receiver
Modifier and Type
Method
Description
`List<Receiver>`
MidiDevice.`getReceivers()`
Returns all currently active, non-closed receivers connected with this `MidiDevice`.
Methods in javax.sound.midi with parameters of type Receiver
Modifier and Type
Method
Description
`void`
Transmitter.`setReceiver​(Receiver receiver)`
Sets the receiver to which this transmitter will deliver MIDI messages.